> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payfonte.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate A Transfer Recipient

> Create and Validate a Transfer Recipient for Disbursements



## OpenAPI

````yaml /api-reference/openapi-3.1.yml post /billing/v1/transfer-recipients/validate
openapi: 3.1.0
info:
  title: Payfonte - OpenAPI 3.1
  description: >-
    This is the minimal API for payfonte collection and disbursements API. To
    view a more elaborate documentation see here.


    Some useful links:

    - [Home](https://payfonte.com)

    - [Payfonte Documentation](https://docs.payfonte.com)
  termsOfService: https://www.payfonte.com/terms
  contact:
    email: tech@payfonte.com
  version: 1.0.0
servers:
  - url: https://sandbox-api.payfonte.com
    description: Sandbox API Base URL
  - url: https://api.payfonte.com
    description: Production API Base URL
security:
  - clientId: []
    clientSecret: []
tags:
  - name: Collections
    description: Everything about your payment collection with payfonte
    externalDocs:
      description: Find out more
      url: https://docs.payfonte.com/#/collections/inline
  - name: Card Collections
    description: Everything about your card payment collections with payfonte
  - name: Disbursements
    description: >
      Find full list of supported Disbursement providers here [Supported
      Providers](https://docs.payfonte.com/#/Disbursements/supported-Disbursements)

      There are 3 main process to carry out a Disbursement on Payfonte

      1. Validate A transfer Recipient

      2. Initiate a Disbursement Request

      3. Verify a Disbursement Request
  - name: Wallets
    description: >-
      A Little bit about our [wallets here]
      (https://docs.payfonte.com/#/introductions/wallets)
paths:
  /billing/v1/transfer-recipients/validate:
    post:
      tags:
        - Disbursements
      summary: Validate A Transfer Recipient
      description: Create and Validate a Transfer Recipient for Disbursements
      operationId: validateTransferRecipient
      requestBody:
        description: Validate a Transfer Recipient
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateTransferRecipientRequest'
        required: true
      responses:
        '201':
          description: Transfer Recipient Successfully Validated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ValidateTransferRecipientResponse'
components:
  schemas:
    ValidateTransferRecipientRequest:
      required:
        - currency
        - country
        - provider
        - account
      type: object
      properties:
        currency:
          $ref: '#/components/schemas/Currency'
        country:
          $ref: '#/components/schemas/Country'
        provider:
          $ref: '#/components/schemas/Provider'
        account:
          oneOf:
            - $ref: '#/components/schemas/MobileMoneyTransferRecipientAccount'
            - $ref: '#/components/schemas/PawapayMobileMoneyTransferRecipientAccount'
            - $ref: '#/components/schemas/BankAccountTransferRecipientAccount'
    ValidateTransferRecipientResponse:
      type: object
      properties:
        currency:
          $ref: '#/components/schemas/Currency'
        country:
          $ref: '#/components/schemas/Country'
        provider:
          $ref: '#/components/schemas/Provider'
        accountLabel:
          type: string
          description: This is a short label describing the transfer recipient
          example: Bank Transfer | Zenith Bank | Dummy User | 0123456789
          examples:
            - Bank Transfer | Zenith Bank | Dummy User | 0123456789
        account:
          anyOf:
            - $ref: '#/components/schemas/MobileMoneyTransferRecipientAccount'
            - $ref: '#/components/schemas/PawapayMobileMoneyTransferRecipientAccount'
            - $ref: '#/components/schemas/BankAccountTransferRecipientAccount'
    Currency:
      type: string
      description: 3 character currency code
      example: USD, NGN, XOF, XAF
      examples:
        - NGN
        - USD
        - XOF
        - XAF
    Country:
      type: string
      description: 2 character country code
      example: US, NG, CI, SN, CA, UK
      examples:
        - NG
        - US
        - CI
        - SN
        - CA
        - UK
    Provider:
      type: string
      description: >-
        This is the provider we are validating the account against. Find full
        list of providers here [Supported
        Providers](https://docs.payfonte.com/#/Disbursements/supported-Disbursements)
      examples:
        - provider-slug
    MobileMoneyTransferRecipientAccount:
      required:
        - phoneNumber
      properties:
        phoneNumber:
          type: string
          description: customer's phone number
          example: '2347012345678'
          examples:
            - '2347012345678'
    PawapayMobileMoneyTransferRecipientAccount:
      required:
        - phoneNumber
        - network
      type: object
      properties:
        phoneNumber:
          type: string
          description: customer's phone number
          example: '2347012345678'
          examples:
            - '2347012345678'
        network:
          type: string
    BankAccountTransferRecipientAccount:
      required:
        - accountNumber
        - bankCode
      properties:
        accountNumber:
          type: string
          description: customer's account number
          example: '0123456789'
          examples:
            - '0123456789'
        bankCode:
          type: string
          description: customer's bank code. This can be gotten from
          example: '044'
          examples:
            - '044'
  securitySchemes:
    clientId:
      type: apiKey
      name: client-id
      in: header
    clientSecret:
      type: apiKey
      name: client-secret
      in: header

````